coolman(1)

NAME
coolman-3.17.14 - Man page reader for the X Window System based on the Coolwidget library.

USAGE
coolman [options] [-c <man-command>] [<man-page>]

DESCRIPTION

This man page reader just views the output of the man system command, with a nice point and click, drag and drop, GUI.

OPTIONS

-d, -display <display>
    The X server and display you would like to display to.

-f, -fn, -font <font-name>
    The font you would like to use.

-dnd-old
    Use dnd version 0 instead of version 1. Many apps that support Dnd may only support the older version. Use this option to force compatability.

-c, -cmd, --command <man-command>
    This specifies the shell command to use to run man. The %m is replaced with the name of the man page. The default is man -a %m, where -a specifies all man pages: the -a option may not be supported on some systems. Note that you can use coolman 'cat %m' <file-name> to use coolman to just view a regular file.

-h, -H, -?, --help
    Print out commandline options summary.

-V, -v, --version
    Print out version number.

USAGE

If Coolman is envoked without arguments, it requests a man page on startup. Typical usage of Coolman would be to open one man page and then double click on key words or words in the SEE ALSO sections of man pages. This will cause Coolman to run man with the word that was double-clicked on. This will create a list of opened man pages, which can be browsed with the Previous and Next buttons. You can search through the text by pressing F7 and entering your search string - searching begins from the second line in the window, and is transparent to nroff formatting. To insert selected text from other applications into an input line, use Shift-Insert. You can also drag text from the man page by first highlighting the text with the mouse, and then dragging from within the highlighted text. Note that Drag and drop may not work if your Dnd version is incompatible. Envoke Coolman with -dnd-old to force compatability.

Finally, function key usage is analogous to Cooledit, eg F10 exits.

COLORS
You can change the colors of coolman from cooledit's configuration file: ~/cedit/.cooledit.ini. The lines of interest would look like this by default:

[Options]
option_text_fg_normal = 0
option_text_fg_bold = 17
option_text_fg_italic = 16
option_text_bg_normal = 22
option_text_bg_marked = 25
option_text_bg_highlighted = 12

Cooledit creates this file when it exits, but you can create a file that looks just like this if you don't have cooledit. The numbers represent a 3x3x3 RGB matrix, eg. black is 0, white is 26 and, say, red is 18.

LICENSE
This program is distributed under the terms of the GNU General Public License as published by the Free Software Foundation. See the file COPYING in the source distribution for details on the License and the lack of warranty. Alternatively see the 'About' menu of the Cooledit program.

AVAILABILITY
The latest public release of this program can be found at sunsite.unc.edu in the directory /pub/Linux/Incoming, or /pub/Linux/apps/editors/X. The latest development version can be found at lava.obsidian.co.za , in the directory /pub/unix/cooledit , all by anonymous ftp. Coolman is packed with the Cooledit distribution.

SEE ALSO
scanf(3), cooledit(1), man(1), smalledit(1).

AUTHORS
Paul Sheer (psheer /AT/ icon.co.za)